# Command: testsuite::test_threaded_neuron_device_connections

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_threaded_neuron_device_connections - test for correct creation of neuron-neuron, neuron-device, device-neuron and device-device connections using multiple threads

Synopsis:

    (test_threaded_neuron_device_connections) run -> dies if assertion fails

Description:

      this script creates connections between neurons and devices and checks whether the actually created connections coincide with the expected connections

Author:

    Jakob Jordan

FirstVersion:

    January 2016

SeeAlso:

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/testsuite/regressiontests/issue-211.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative